Bug 994852 - 32 bit installer should try to detect and warn about 64 bit (UEFI) system
32 bit installer should try to detect and warn about 64 bit (UEFI) system
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 02:38 EDT by Matthew Cline
Modified: 2014-03-13 17:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 17:43:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Cline 2013-08-08 02:38:05 EDT
When downloading the "install from network" ISO image for Fedora 19, I hadn't realized that the systems with Secure Boot (UEFI) are 64 bit, and so downloaded the 32 bit installer.  The installer ran fine, and everything seemed great, but when I rebooted after installation was started all I got was "No boot disk has been detected".  So the 32 bit installer should try to detect a 64 bit system and/or UEFI system, and say "This looks like a 64 bit system, are you sure you want to install a 32 bit version of Linux?"
Comment 1 Fedora End Of Life 2013-09-16 12:27:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 David Shea 2014-03-13 17:43:11 EDT
Installing a 32-bit OS on a 64-bit system is a valid use case. If the system is able to boot from the 32-bit installation media, which does not include an EFI bootloader, then it's likely that the system will be able to boot in BIOS mode from the hard drive post-install. More importantly, there is no way for anaconda to know if the system would not be able to boot in such a case. This is a BIOS configuration issue.

Note You need to log in before you can comment on or make changes to this bug.